Subject: RE: [Sip] RE: Comment on sip-identity-00

From: "Peterson, Jon" <[email-masked]>
Date: Fri, 17 May 2002 17:37:48 -0500

Currently, my identity draft allows an authentication service to sign a
header that represents a SIP[S] URI, some other headers that provide
reference integrity, and optionally any other headers it would like. Thus if
your network requires a Network Access Identity, as you suggest, that is
distinct from the SIP[S] URI by which a user is identified, that Network
Access Identity could be included in a separate header. So I'd like to think
that the long-term identity story can accomodate your needs. I will be
clarifying the document a bit in this regard as well.

Jon Peterson
NeuStar, Inc.

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]
> Sent: Monday, May 13, 2002 9:35 PM
> To: Peterson, Jon
> Cc: 'Robert Sparks'; [email-masked]
> Subject: [Sip] RE: Comment on sip-identity-00
> 
> 
> Peterson, Jon writes:
> 
>  > These are good points; throughout the identity draft, I 
> tried to use Digest
>  > only as an example, and indeed in plenty of authentication 
> systems the
>  > identifier of a user would not be suitable syntactically 
> or semantically for
>  > the username portion of a SIP URI. I do think it is not 
> unreasonable,
>  > however, in systems like Digest for a user to have an 
> expectation that the
>  > username they enter into an authentication dialog (for 
> example) will be the
>  > username that appears in their authenticated identity.
> 
> i tried to make this same point.  in our case the username used in
> digest authentication is the general NAI (Network Access Identifier) of
> the user and the sip network asserted identity i-d cannot that the
> username used in the digest authentication (or any other authentication
> scheme) has nothing to do with the sip uris the user may have.  the i-d
> should make this requirement explicitly clear and also clearly explain
> that what is asserted is the sip uri the user wants to use for this
> request.
> 
> -- juha
> 
> 
> _______________________________________________
> Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
> This list is for NEW development of the core SIP Protocol
> Use [email-masked] for questions on current sip
> Use [email-masked] for new developments on the application of sip
> 

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip